## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.utils
Interface ISqlDataValidatorAssistant

All Known Implementing Classes:
  AbstractSqlDataValidator, ASADataValidator

    public interface ISqlDataValidatorAssistant

Author:
  David Cui

Method Summary
`boolean` `isNeedSupportExpression()` Validator will validate a value through the convert function offered by relative database.
`void` `setNeedSupportExpression(boolean needSupportExpression)` Validator will validate a value through the convert function offered by relative database.

Method Detail

### isNeedSupportExpression

    boolean isNeedSupportExpression()

  Validator will validate a value through the convert function offered by relative database. If convert succeeds, we will get the original value or converted value. If convert fails, we will throw SQL exception. If the original value is a expression and needSupportExpression is true, will return the original expression, else return the converted value from the expression

  Returns:
    boolean return the needSupportExpression

### setNeedSupportExpression

    void setNeedSupportExpression(boolean needSupportExpression)

  Validator will validate a value through the convert function offered by relative database. If convert succeeds, we will get the original value or converted value. If convert fails, we will throw SQL exception. If the original value is a expression and needSupportExpression is true, will return the original expression, else return the converted value from the expression

  Parameters:
    `needSupportExpression` -